petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASSetLevels

Sets the number of levels to use with FAS. Must be called before any other FAS routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetLevels(SNES snes, PetscInt levels, MPI_Comm * comms)

### Input Parameters

| snes | - the snes context Many br
| levels | - the number of levels Many br
| comms | - optional communicators for each level; this is to allow solving the coarser Many brproblems on smaller sets of processors. Use NULL_OBJECT for default in Many brFortran. Many br

Many br

### Notes

If the number of levels is one then the multigrid uses the -fas_levels prefix Many brfor setting the level options rather than the -fas_coarse prefix. Many br

### Keywords

FAS, MG, set, levels, multigrid

### See Also

SNESFASGetLevels()

Level:intermediate
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages